curl -X DELETE 'https://api.weir.ai/org/platform/platform_123456789' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'x-source: console'
{
"message": "Platform deleted successfully",
"status": "success"
}
Console APIs - Platforms
Delete Platform
Delete a platform from your organization
DELETE
/
org
/
platform
/
:platformId
curl -X DELETE 'https://api.weir.ai/org/platform/platform_123456789' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'x-source: console'
{
"message": "Platform deleted successfully",
"status": "success"
}
Delete Platform
Permanently delete a platform from your organization.Caution: This action is irreversible. All platform data will be permanently deleted.
curl -X DELETE 'https://api.weir.ai/org/platform/platform_123456789' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'x-source: console'
{
"message": "Platform deleted successfully",
"status": "success"
}
Path Parameters
string
required
Unique identifier of the platform to delete.
Usage Examples
const deletePlatform = async (platformId, accessToken) => {
const response = await fetch(`https://api.weir.ai/org/platform/${platformId}`, {
method: 'DELETE',
headers: {
'Authorization': `Bearer ${accessToken}`,
'x-source': 'console'
}
});
if (!response.ok) throw new Error(`HTTP error! status: ${response.status}`);
return await response.json();
};
import requests
def delete_platform(platform_id, access_token):
response = requests.delete(
f'https://api.weir.ai/org/platform/{platform_id}',
headers={
'Authorization': f'Bearer {access_token}',
'x-source': 'console'
}
)
response.raise_for_status()
return response.json()
Was this page helpful?